import request from '@/utils/request'

// 查询首页菜单
export function getMenuApp(query) {
  return request({
    url: '/system/menuapp/menus',
    method: 'get',
    params: query
  })
}

// 新增公告
export function addNotice(data) {
  return request({
    url: '/system/notice',
    method: 'post',
    data: data
  })
}


//上传全局方法附件
export function commonUpload(data) {
  return request({
    url: '/common/upload',
    method: 'post',
    data: data,
    timeout: 60000, // 延长超时时间
    headers: {
      // 不设置 Content-Type，让浏览器自动设置
    }
  })
}
